Aggiunta di un nuovo contesto


#1

Buon giorno,

abbiamo installato con successo il vs. applicativo che stiamo testando nelle sue funzionalità; nello specifico abbiamo riscontrato due problematiche, la prima (più importante) è che non riusciamo ad aggiungere più di un contesto (ne abbiamo creato uno nominato default che è quello attualmente operativo) in quanto la piattaforma ci allerta con un errore interno del server.
La seconda anomalia è che non riusciamo a visualizzare nei questionari il widget del campo testo singola riga; non riceviamo nessun errore specifico, semplicemente il campo non viene visualizzato nel questionario.
Relativamente al primo problema alleghiamo uno stralcio del log applicazione dove viene riportata l’eccezione generata quando tentiamo di aggiungere il contesto.
La versione dell’applicativo è.
Versione del software: 3.4.1

In attesa di un vs. cortese riscontro porgiamo cordiali saluti

D. Capuccio
Datain Italia SRL

----- Log ------

2018-10-22 10:04:38+0000 [-] [REMOVED_IP_ADDRESS] 1 200 GET /admin/questionnaires 4380 107ms “[REMOVED_USER_AGENT]”
2018-10-22 10:04:46+0000 [-] [E] Unhandled exception raised:
2018-10-22 10:04:46+0000 [-] [E] sqlalchemy.exc.IntegrityError Wraps a DB-API IntegrityError.\n\nTraceback (most recent call last):\n\n File “/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py”, line 721, in _commit_impl\n self.engine.dialect.do_commit(self.connection)\n\n File “/usr/lib/python3/dist-packages/sqlalchemy/engine/default.py”, line 443, in do_commit\n dbapi_connection.commit()\n\nsqlite3.IntegrityError: FOREIGN KEY constraint failed\n\n\nThe above exception was the direct cause of the following exception:\n\n\nTraceback (most recent call last):\n\n File “/usr/lib/python3/dist-packages/twisted/python/threadpool.py”, line 250, in inContext\n result = inContext.theWork()\n\n File “/usr/lib/python3/dist-packages/twisted/python/threadpool.py”, line 266, in \n inContext.theWork = lambda: context.call(ctx, func, *args, **kw)\n\n File “/usr/lib/python3/dist-packages/twisted/python/context.py”, line 122, in callWithContext\n return self.currentContext().callWithContext(ctx, func, *args, **kw)\n\n File “/usr/lib/python3/dist-packages/twisted/python/context.py”, line 85, in callWithContext\n return func(*args,**kw)\n\n File “/usr/lib/python3/dist-packages/globaleaks/orm.py”, line 111, in _wrap\n session.commit()\n\n File “/usr/lib/python3/dist-packages/sqlalchemy/orm/session.py”, line 906, in commit\n self.transaction.commit()\n\n File “/usr/lib/python3/dist-packages/sqlalchemy/orm/session.py”, line 465, in commit\n t[1].commit()\n\n File “/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py”, line 1632, in commit\n self._do_commit()\n\n File “/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py”, line 1663, in _do_commit\n self.connection._commit_impl()\n\n File “/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py”, line 723, in _commit_impl\n self._handle_dbapi_exception(e, None, None, None, None)\n\n File “/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py”, line 1402, in _handle_dbapi_exception\n exc_info\n\n File “/usr/lib/python3/dist-packages/sqlalchemy/util/compat.py”, line 203, in raise_from_cause\n reraise(type(exception), exception, tb=exc_tb, cause=cause)\n\n File “/usr/lib/python3/dist-packages/sqlalchemy/util/compat.py”, line 186, in reraise\n raise value.with_traceback(tb)\n\n File “/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py”, line 721, in _commit_impl\n self.engine.dialect.do_commit(self.connection)\n\n File “/usr/lib/python3/dist-packages/sqlalchemy/engine/default.py”, line 443, in do_commit\n dbapi_connection.commit()\n\nsqlalchemy.exc.IntegrityError: (sqlite3.IntegrityError) FOREIGN KEY constraint failed\n
2018-10-22 10:04:46+0000 [-] [REMOVED_IP_ADDRESS] 1 500 POST /admin/contexts 99 10ms “[REMOVED_USER_AGENT]”


#2

Gentile Davide,

la ringraziamo per il contatto e la segnalazione.

L’estratto di errore che ci fornisce purtroppo non contiene indicazioni che ci consentano di individuare la problematica.

Potrebbe vedere se nel frattempo si sono generate ulteriori eccezioni?

Se vuole e puo’ fornirmi l’indirizzo pubblico della piattaforma posso provvedere a vedere io stesso e provare a capire quali possibili errori di configurazione siano presenti.

cordialmente,

Giovanni Pellerano


#3

Buona sera Sig. Pellerano,

la ringrazio prima di tutto per avermi risposto, il servizio è esposto all’IP pubblico 40.118.13.240 non mi pare di aver visto altre eccezioni riferite a questo tipo di errore (io controllo il log gloableaks.log, non so se devo controllare altro…).

Attendo un suo gentile riscontro

Saluti

D. Capuccio
Datain Italia


#4

Salve,

per diagnosticare e replicare il bug, potrebbe venire sulla nostra chat https://slack.hermescenter.org nel canale #globaleaks-support-it così da condividere una modalità di riproducibilità e diagnostica per fixare il tutto?

Fabio